Agent registryTransition agent approval status

Transition agent approval status

Transition approval status: draft → pending_approval → approved → deprecated.

curl -X PATCH "https://api.autopil.ai/v1/agents/example_string/status" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "status": "approved"
}'
{
  "agent_id": "example_string",
  "agent_role": "example_string",
  "display_name": "John Doe",
  "description": "example_string",
  "owner": "example_string",
  "framework": "example_string",
  "permitted_roles": [
    "example_string"
  ],
  "credential_type": "api_key",
  "bound_key_id": "example_string",
  "status": "draft"
}
PATCH
/v1/agents/{agent_id}/status
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.

API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.
Content-Typestring
Required

The media type of the request body

Options: application/json
statusstring
Required
Options: draft, pending_approval, approved, deprecated
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.

Path Parameters

Body

application/json
statusstring
Required
Allowed values:draftpending_approvalapproveddeprecated

Responses

agent_idstring
agent_rolestring
Required

The role this agent will claim in evaluate calls. Must match a policy.

display_namestring

Human-readable name shown in the dashboard.

descriptionstring

Purpose and data access rationale. Used during approval review.

ownerstring

Team or individual responsible for this agent.

frameworkstring

Runtime framework: langgraph, openai_agents, bedrock, etc.

permitted_rolesstring[]

Roles this agent is allowed to claim. Defaults to [agent_role].

credential_typestring

Authentication method. Defaults to api_key.

Allowed values:api_keyjwt_oidcmtlsconjur
bound_key_idstring

If set, only the key with this ID may present this agent's identity.

statusstring
Allowed values:draftpending_approvalapproveddeprecated